import request from '@/utils/request'

// 查询保养计划信息列表
export function listMaint(query) {
  return request({
    url: '/dms/maint/list',
    method: 'get',
    params: query
  })
}

// 查询保养计划信息详细
export function getMaint(planMaintId) {
  return request({
    url: '/dms/maint/' + planMaintId,
    method: 'get'
  })
}

// 新增保养计划信息
export function addMaint(data) {
  return request({
    url: '/dms/maint',
    method: 'post',
    data: data
  })
}

// 修改保养计划信息
export function updateMaint(data) {
  return request({
    url: '/dms/maint',
    method: 'put',
    data: data
  })
}

// 删除保养计划信息
export function delMaint(planMaintId) {
  return request({
    url: '/dms/maint/' + planMaintId,
    method: 'delete'
  })
}
